Your data. Anywhere you go.

New Relic for iOS or Android


Download on the App Store    Android App on Google play


New Relic Insights App for iOS


Download on the App Store


Learn more

Close icon

AWS Notification showing AWS SDK for .NET usage. Does New Relic use .NET?

dotnet
sdk
welcome

#1

Does New Relic use AWS SDK for .NET? Trying to find out which one of our partners are using AWS SDK for .NET. The notification is below.
Our records indicate that you have applications using the AWS SDK for .NET to target the .NET Standard 1.3 runtime on this account. .NET Standard 1.3 is used when running a .NET applications using the .NET Core 1.0 or 1.1 versions. On June 27 2019 Microsoft ended support for .NET Core 1.0 and .NET Core 1.1 versions[1],[2]. Following this announcement, AWS will end support for .NET Standard 1.3 on the AWS SDK for .NET on December 31, 2020.


#2

Hi @smanjeshwar - I’ve sent this question over to our .Net Agent development team to find out if they’re using the AWS SDK. I’ll get back to you when I have a reply from them.


#3

Hi @smanjeshwar

The update I have is:

“AWS Lambda monitoring for .NET Core is a separate product from the .NET Agent.
The Lambda for .NET Core product does use the AWS SDK. But the version used (3.3) targets .NET Standard 2.0.3, not 1.3 as shown in the notification.”

So no, I don’t think that notification you have is referencing New Relic. As NR’s usage of the AWS SDK should be pointing to v2.0.3, not 1.3 as you have stated.